{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load crm_utils %}
{% load permission_tags %}
{% block content %}
    {% load static %}
<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
<script src="{% static 'sb_admin/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>


    <div class="container-fluid">
    <ul class="nav nav-tabs">
            <li class="nav-item">
            <a class="nav-link" href="{% url 'client_info_information' client_id %}">Информация</a>
        </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'client_info_detail' client_id %}">Абонементы</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'client_info_history' client_id %}">История</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active" href="#" tabindex="-1" aria-disabled="true">Рассрочка</a>
            </li>
        </ul>

    <div class="tab-content" id="myTabContent">
    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
        <div class="content p-2">
            <div class="card shadow mb-4">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                            <tr>
                                <th><input id="mass-choice" type="checkbox"></th>
                                <th>Абонемент</th>
                                <th>Полная стоимость</th>
                                <th>Дата открытия рассрочки</th>
                                <th>Выплачено</th>
                                <th>Долг</th>
                                <th>Действия</th>
                            </tr>
                            </thead>
                                {% for installment in object_list %}
                                    <tr>
                                        <td><input type="checkbox"></td>
                                        <td>{{ installment.get_abonement }}</td>
                                        <td>{{ installment.get_price }}</td>
                                        <td>{{ installment.created }}</td>
                                        <td>
                                            {% if installment.paid_out  %}
                                                <i class="fa fa-check-circle"></i>
                                            {% else %}
                                                <i class="fa fa-minus-circle"></i>
                                            {% endif %}
                                        </td>
                                        <td>{{ installment.debt }}</td>
                                        <td>

                                         <a href="{% url 'client_info_installment_payments' client_id installment.id %}" style="text-decoration: none">
                                                <i class="fa fa-eye"></i>
                                        </a>

                                            <a href="#"style="text-decoration: none">
                                                <i class="fa fa-plus" data-toggle="modal" data-target="#paymentCreateModal-{{ installment.id }}" id="addPayment-{{ installment.id }}"></i>
                                            </a>
                                        {% include 'client/information/installment/payment_modal.html' with installment_id=installment.id debt=installment.debt  %}
                                            <script type="application/javascript">
                                                (function () {
                                                    $('#addPayment-{{ installment.id }}').click(() => {
                                                        $('#id_installment_id').val(Number('{{ installment.id }}'))
                                                    })
                                                })()
                                            </script>

                                            {% if user|is_has_role:'admin' %}
                                            <a href="" style="text-decoration: none" data-toggle="modal" data-target="#closeInstallmentForce">
                                                <i class="fa fa-hand-holding-usd"></i>
                                            </a>
                                            {% include 'client/information/installment/close_payment_modal.html' with abonement=installment.get_abonement client_name=client_name installment_id=installment.id %}
                                            {% endif %}
                                        </td>
                                    </tr>
                                {% empty %}
                                    {% include 'no_data.html' %}
                                {% endfor %}

                            <tbody>

                            </tbody>
                    </table>
                </div>

            </div>
    </div>



{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
{% endblock %}